UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Protected Member Functions | List of all members
com.latencybusters.lbm.LBMMonitorReceiver Class Reference

## Public Member Functions
| LBMMonitorReceiver (int formatter, String formatOpts, int transport, String transportOpts) throws LBMException
| LBMMonitorReceiver (int formatter, String formatOpts, int transport, String transportOpts, LBMObjectRecyclerBase recycler, Object objRecCbArg) throws LBMException
long | getSourceType (ByteBuffer attributes) throws LBMException
void | close () throws LBMException
void | addStatisticsCallback (LBMMonitorStatisticsCallback cb)
void | removeStatisticsCallback (LBMMonitorStatisticsCallback cb)
void | addStatisticsCallback (LBMMonitorStatisticsCallbackObject cb)
void | removeStatisticsCallback (LBMMonitorStatisticsCallbackObject cb)
void | initStatAttributes (ByteBuffer attrBuffer, LBMStatistics stats) throws LBMException

## Protected Member Functions
void | finalize () throws LBMException

## Detailed Description

LBMMonitorReceiver class.

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMMonitorReceiver.LBMMonitorReceiver | ( | int | formatter,
|  | String | formatOpts,
|  | int | transport,
|  | String | transportOpts
| ) |  | throws LBMException

Create an LBM Monitoring Receiver Controller. This creates an instance of an LBM Monitoring Receive Controller. On some JVMs this object may be garbage collected prematurely if it is not referenced after creation; therefore, it may be prudent to explicitly call its close method at a point in the program logic where it would no longer be required.

See also
  close

Parameters

  formatter | Format module type
  formatOpts | A block of data which is passed to the format module's initialization function. This may be used to pass configuration options to the format module. `
  transport | Transport module type
  transportOpts | A block of data which is passed to the transport module's initialization function. This may be used to pass configuration options to the transport module.

Exceptions

  LBMException | if any error occurs creating the monitor receiver.

com.latencybusters.lbm.LBMMonitorReceiver.LBMMonitorReceiver | ( | int | formatter,
|  | String | formatOpts,
|  | int | transport,
|  | String | transportOpts,
|  | LBMObjectRecyclerBase | recycler,
|  | Object | objRecCbArg
| ) |  | throws LBMException

Create an LBM Monitoring Receiver Controller. This creates an instance of an LBM Monitoring Receive Controller. On some JVMs this object may be garbage collected prematurely if it is not referenced after creation; therefore, it may be prudent to explicitly call its close method at a point in the program logic where it would no longer be required.

See also
  close

Parameters

  formatter | Format module type
  formatOpts | A block of data which is passed to the format module's initialization function. This may be used to pass configuration options to the format module. `
  transport | Transport module type
  transportOpts | A block of data which is passed to the transport module's initialization function. This may be used to pass configuration options to the transport module.
  recycler | an object recycler to handle recycling stats objects. Only the last callback should call the doneWith* method to return the stat object back to the recycler.
  objRecCbArg | a callback object token that will be passed to the recycler (normally null is used)

Exceptions

  LBMException | if any error occurs creating the monitor receiver.

## Member Function Documentation

void com.latencybusters.lbm.LBMMonitorReceiver.addStatisticsCallback | ( | LBMMonitorStatisticsCallback | cb | ) |

Register statistics callbacks.

Parameters

  cb | Object implementing the LBMMonitorStatisticsCallback interface

Deprecated:
  This method is provided for backwards compatibility with LBM 3.3.9/ UME 2.0.7; please use the addStatisticsCallback(LBMMonitorStatisticsCallbackObject) method instead.

void com.latencybusters.lbm.LBMMonitorReceiver.addStatisticsCallback | ( | LBMMonitorStatisticsCallbackObject | cb | ) |

Register statistics callbacks.

Parameters

  cb | Object extending the LBMMonitorStatisticsCallbackObject class.

void com.latencybusters.lbm.LBMMonitorReceiver.close | ( |  | ) | throws LBMException

Destroy a statistics receive controller. Destroys a monitoring controller.

Exceptions

  LBMException | if any error occurs destroying the monitor receiver.

Referenced by com.latencybusters.lbm.LBMMonitorReceiver.finalize().

void com.latencybusters.lbm.LBMMonitorReceiver.finalize | ( |  | ) | throws LBMException
| protected

This method is for internal use only, and is not supported for customer applications.

References com.latencybusters.lbm.LBMMonitorReceiver.close().

long com.latencybusters.lbm.LBMMonitorReceiver.getSourceType | ( | ByteBuffer | attributes | ) | throws LBMException

Get the type of source associated with this statistics packet.

Parameters

  attributes | A block of data which contains the attributes for the statistics packet.

Returns
  Value indicating whether the source is normal or IM

Exceptions

  LBMException | if any error occurs.

void com.latencybusters.lbm.LBMMonitorReceiver.removeStatisticsCallback | ( | LBMMonitorStatisticsCallback | cb | ) |

Deregister previously registered statistics callback.

Parameters

  cb | Previously registered object implementing the LBMMonitorStatisticsCallback interface

Deprecated:
  This method is provided for backwards compatibility with LBM 3.3.9/ UME 2.0.7; please use the removeStatisticsCallback(LBMMonitorStatisticsCallbackObject) method instead.

void com.latencybusters.lbm.LBMMonitorReceiver.removeStatisticsCallback | ( | LBMMonitorStatisticsCallbackObject | cb | ) |

Deregister previously registered statistics callback.

Parameters

  cb | Previously registered object extending the LBMMonitorStatisticsCallbackObject class.

References com.latencybusters.lbm.LBMMonitorStatisticsCallback.onReceive(), com.latencybusters.lbm.LBMMonitorStatisticsCallbackObject.onReceive(), com.latencybusters.lbm.LBMObjectRecyclerBase.retrieveContextStatistics(), com.latencybusters.lbm.LBMObjectRecyclerBase.retrieveEventQueueStatistics(), com.latencybusters.lbm.LBMObjectRecyclerBase.retrieveImmediateMessageReceiverStatistics(), com.latencybusters.lbm.LBMObjectRecyclerBase.retrieveImmediateMessageSourceStatistics(), com.latencybusters.lbm.LBMObjectRecyclerBase.retrieveReceiverStatistics(), and com.latencybusters.lbm.LBMObjectRecyclerBase.retrieveSourceStatistics().

The documentation for this class was generated from the following file:

- LBMMonitorReceiver.java